| Disk ARchive 2.8.1 Full featured and portable backup and archiving tool

Loading...
Searching...
No Matches
Public Member Functions | Private Member Functions | Private Attributes | List of all members
libdar::not_mask Class Reference
API

negation of another mask More...

`#include <mask.hpp>`

Inherits libdar::mask.

## Public Member Functions
| not_mask (const mask &m)
| the constructor to be used by libdar external programs
| not_mask (const not_mask &m)
| copy constructor
| not_mask (not_mask &&m) noexcept
| move constructor
not_mask & | operator= (const not_mask &m)
| assignment operator
not_mask & | operator= (not_mask &&m) noexcept
| move operator
| ~not_mask ()
| destructor
bool | is_covered (const std::string &expression) const override
| inherited from the mask class
bool | is_covered (const path &chemin) const override
| check whether the given path is covered by the mask
std::string | dump (const std::string &prefix) const override
| dump in human readable form the nature of the mask
mask * | clone () const override
| inherited from the mask class
Public Member Functions inherited from libdar::mask
| mask (const mask &ref)=default
| mask (mask &&ref) noexcept=default
mask & | operator= (const mask &ref)=default
mask & | operator= (mask &&ref) noexcept=default

## Private Member Functions
void | nullifyptr () noexcept
void | copy_from (const not_mask &m)
void | copy_from (const mask &m)
void | move_from (not_mask &&ref) noexcept
void | detruit ()

## Private Attributes
mask * | ref

## Detailed Description

negation of another mask

this is the first mask built over masks it realizes the negation of the given mask

Definition at line 226 of file mask.hpp.

## Constructor & Destructor Documentation

## ◆ not_mask() [1/3]

libdar::not_mask::not_mask | ( | const mask & | m | ) |
| inline

the constructor to be used by libdar external programs

Parameters

  [in] | m | is the mask to negate

Note
  the mask used as argument need not to survive the just created not_mask object as an internal copy of the mask given in argument has been done.

Definition at line 234 of file mask.hpp.

Referenced by clone().

## ◆ not_mask() [2/3]

libdar::not_mask::not_mask | ( | const not_mask & | m | ) |
| inline

copy constructor

Definition at line 237 of file mask.hpp.

## ◆ not_mask() [3/3]

libdar::not_mask::not_mask | ( | not_mask && | m | ) |
| inlinenoexcept

move constructor

Definition at line 240 of file mask.hpp.

## ◆ ~not_mask()

libdar::not_mask::~not_mask | ( |  | ) |
| inline

destructor

Definition at line 249 of file mask.hpp.

## Member Function Documentation

## ◆ clone()

mask * libdar::not_mask::clone | ( |  | ) | const
| inlineoverridevirtual

inherited from the mask class

Implements libdar::mask.

Definition at line 257 of file mask.hpp.

References not_mask().

## ◆ dump()

std::string libdar::not_mask::dump | ( | const std::string & | prefix | ) | const
| overridevirtual

dump in human readable form the nature of the mask

Parameters

  [in] | prefix | used for indentation withing the output string

Implements libdar::mask.

## ◆ is_covered() [1/2]

bool libdar::not_mask::is_covered | ( | const path & | chemin | ) | const
| inlineoverridevirtual

check whether the given path is covered by the mask

Parameters

  [in] | chemin | is the path to check

Returns
  true if the given path is covered by the mask

Note
  only libdar internally needs to call this method
  this is an optional method to the previous one, it can be overwritten

Reimplemented from libdar::mask.

Definition at line 253 of file mask.hpp.

References libdar::mask::is_covered().

## ◆ is_covered() [2/2]

bool libdar::not_mask::is_covered | ( | const std::string & | expression | ) | const
| inlineoverridevirtual

inherited from the mask class

Implements libdar::mask.

Definition at line 252 of file mask.hpp.

References libdar::mask::is_covered().

## ◆ nullifyptr()

void libdar::not_mask::nullifyptr | ( |  | ) |
| inlineprivatenoexcept

Definition at line 262 of file mask.hpp.

## ◆ operator=()

not_mask & libdar::not_mask::operator= | ( | not_mask && | m | ) |
| inlinenoexcept

move operator

Definition at line 246 of file mask.hpp.

## Member Data Documentation

## ◆ ref

mask* libdar::not_mask::ref
| private

Definition at line 260 of file mask.hpp.

The documentation for this class was generated from the following file:

- mask.hpp